package ch.ethz.se.rpnc.node;


/**
 * Abstract base class for operator nodes.
 */
public abstract class Operator implements Node
{
	/**
	 * Textual code for operation. 
	 */
	protected String text;

	/**
	 * Create new operator.
	 * @param t Textual representation of operator to construct.
	 */
	protected Operator (String t)
	{
		text = t;
	}
	/**
	 * Overrides Object.toString() to provide a textual representation for Operator.
	 * @see Object#toString()
	 */
	public String toString()
	{
		return text;
	}
}
